# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'autowidthjs/version'

Gem::Specification.new do |spec|
  spec.name          = "autowidthjs"
  spec.version       = Autowidthjs::VERSION
  spec.authors       = ["niki-timofe", "@padolsey"]
  spec.email         = ["niki-timofe@ya.ru"]
  spec.description   = "Automatically adjusts the width of the object *input* to the width of the content."
  spec.summary       = "Automatically sets the width of the object *input*."
  spec.homepage      = "https://github.com/niki-timofe/autowidthjs-rails"
  spec.license       = "MIT"
  spec.post_install_message = "JS plugin from http://stackoverflow.com/questions/931207/is-there-a-jquery-autogrow-plugin-for-text-fields"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.requirements << "jQuery"

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake"
end
